<?php
require("../conexion.php");
include ("../funciones/fechas.php");
$cedcli=$_POST["cedcli"];
$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numfactura=$_POST["numfactura"];
$estadoComprobanteIntegracion=$_POST["combotipoventa"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];
$cdtipocxp=$_POST["combotipocxp"];
$combotipomoneda=$_POST["combotipomoneda"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numfactura2=$_POST["numfactura2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
//if ($cdgcli <> "") { $where.=" AND mensaje_receptor.numcedemi='$cdgcli'"; }
if ($estadoComprobanteIntegracion <> "") { $where.=" AND estadoComprobanteIntegracion='$estadoComprobanteIntegracion'"; }
//if ($numfactura2 <> "") { $where.=" AND mensaje_receptor.numfactura='$numfactura2'"; }
//if ($cedcli <> "") { $where.=" AND numcedemi like '%".$cedcli."%'"; }
if ($cedcli <> "") { $where.=" AND numcedemi ='".$cedcli."'"; }
if ($dsccli <> "") { $where.=" AND dscnomemi like '%".$dsccli."%'"; }
if ($numfactura <> "") { $where.=" AND numcompmen='$numfactura'"; }
if ($cdtipocxp <> "") { $where.=" AND cdgcxp='$cdtipocxp'"; }



if ($combotipomoneda <> "") {
if ($combotipomoneda == "USD") { $where.=" AND tipmoneda='USD'"; } else { $where.=" AND tipmoneda!= 'USD'"; }	

	}


if (($fechainicio<>"") and ($fechafin<>"")) {

		//	$dias=1;
//
//			$inicio= "-".$dias." day" ;
//			$fechainicio = strtotime ( $inicio , strtotime ( $fechainicio ) ) ;
//		$fechainicio = date ( 'Y-m-d' , $fechainicio );
//
//			$fin= "+".$dias." day" ;
//	 		$fechafin = strtotime ( $fin , strtotime ($fechafin ) ) ;
//		$fechafin = date ( 'Y-m-d' , $fechafin );
			
			
	 $where.=" AND feccorcomp>='".$fechainicio."' AND feccorcomp<='".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND feccorcomp>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND feccorcomp<='".$fechafin."'";
		}
	}
}

 $where.=" ORDER BY codmen DESC LIMIT 300";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT codmen FROM mensaje_receptor WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        <link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		


function enviar_hacienda(codmen,estado) {
	if (estado==0  || estado==400 || estado==503 || estado==502 ) {
 
    window.open("../FE/mensajeReceptor/fe.php?f="+codmen);



	} else {	

 alert ("Factura ya fue enviada  a hacienda, favor verifique")

		
			}
		}






function consultar_estado(codmen,estado) {
	if (estado==0 || estado==503 || estado==502) {
 
 	 alert ("comprobante no ha sido enviado a hacienda proceda primero a hacer el envio del comprobante")  


	} else {	


    window.open("../FE/mensajeReceptor/fe_estado.php?f="+codmen);	
			}
		}
		
		
function ver_xml(codmen, numcompmen, cdgclavecomp) {

	window.open("../FE/mensajeReceptor/crt/"+numcompmen+".xml");
	window.open("../FE/mensajeReceptor/crt/mensajes/mns-"+cdgclavecomp+"-"+numcompmen+".xml");	
	
			}
		
		
		
		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">

<?php
$contador=0;
if ( $filas > 0) {

$consulta2 = "SELECT codmen  FROM mensaje_receptor WHERE ".$where;


if ($resultado2 = $mysqli->query($consulta2)) 

    while ($fila2 = $resultado2->fetch_assoc()) {
	
	$codmen = $fila2["codmen"];

$consulta = "SELECT numcompmen, fecmen, cdgclavecomp, feccomp, dscnomemi, numcomp, detmen, monimp, totcomp, numcedemi, estadoComprobanteIntegracion,codmen, numcompmen  FROM mensaje_receptor WHERE codmen = '$codmen' ";

$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();
	

		$numcompmen = $fila["numcompmen"];
		$fecmen     = $fila["fecmen"];
		$cdgclavecomp     = $fila["cdgclavecomp"];
		$feccomp    = $fila["feccomp"];
        $dscnomemi    = $fila["dscnomemi"];
        $numcomp    = $fila["numcomp"];
	    $detmen     = $fila["detmen"];
        $monimp     = $fila["monimp"];
        $totcomp    = $fila["totcomp"];
		$numcedemi  = $fila["numcedemi"];
		$estado     = $fila["estadoComprobanteIntegracion"];
		$codmen     = $fila["codmen"];
	    $fecha     = substr($fecmen,0,10);
        $fecmen   = implode("-", array_reverse(explode("-", $fecha))); 
		$numcompmen1   = $fila["numcompmen"];
		$fecha     = substr($feccomp,0,10);
        $feccomp   = implode("-", array_reverse(explode("-", $fecha))); 
		
		
		
		$consult = "SELECT * FROM hac_estados WHERE cdgesthac = '$estado' ";
		$result = $mysqli->query($consult);
		$fila = $result->fetch_array();
    	$filas_estados = $result->num_rows;
         
	


if ($filas_estados > 0) { 
$dscesthac = $fila["dscesthac"]; }else { $dscesthac = "EN TRANSITO"; }

	
	
	
	   $resultado->close();
  
		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

		  <td width="11%"><div align="left"><?php echo $numcompmen ?> </div></td>
		  <td width="13%" align="center"><div align="center"><?php echo $fecmen?></div></td>

		  <td width="21%"><div align="left"><?php echo 	$dscnomemi?></div></td>	
								<td width="8%"><div align="center"><?php echo $numcomp; ?></div></td>	
                                <td width="14%"><div align="center"><?php echo $feccomp ?></div></td>
							    <td width="8%" align="right"><div align="right"><?php echo  number_format($totcomp,2,".",",");?></div></td>
                     
					 
					 			<?php   if ($dscesthac == "ACEPTADO PARCIAL"){?>
		       
			   		<td width="10%" align="center"><span class="label label-danger"><?php echo $dscesthac; ?></span></td>
							
				<?php   } elseif ($dscesthac == "ENTREGADO") {?>
				
				   <td width="10%" align="center"><span class="label label-success"><?php echo $dscesthac; ?></span></td>	
				   
				<?php   } elseif ($dscesthac == "ACEPTADO") {?>
				
				   <td width="10%" align="center"><span class="label label-primary"><?php echo $dscesthac; ?></span></td>	
				   
				<?php   } else  {?>
				
				   <td width="10%" align="center"><span class="label label-default"><?php echo $dscesthac; ?></span></td>	
		
				<?php   } ?>
				
				
                                <td width="3%"><a href="#"><img src="../img/entregar_hacienda.png" alt="im" width="32" height="28" border="0" title="Enviar Hacienda" onClick="enviar_hacienda('<?php echo $codmen ?>','<?php echo $estado ?>' )"></a></td>
								<td width="3%"><a href="#"><img src="../img/consultar.png" alt="im" width="32" height="28" border="0" title="Consultar Estado" onClick="consultar_estado('<?php echo $codmen  ?>','<?php echo $estado ?>' )"></a></td>
								<td width="3%"><a href="#"><img src="../img/xml.png" alt="im" width="33" height="32" border="0" title="Ver Archivos XML " onClick="ver_xml('<?php echo $codmen  ?>','<?php echo $numcompmen1 ?>','<?php echo $cdgclavecomp ?>' )"></a></td>
			                    <td width="5%"><a href="#"></a></td>
		</tr>
						</tr>	
						<?php $contador++;
						
	
							}
										   $resultado2->close();		
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
